Index: serefpolicy-contrib-20140730/zabbix.if
===================================================================
--- serefpolicy-contrib-20140730.orig/zabbix.if
+++ serefpolicy-contrib-20140730/zabbix.if
@@ -1,4 +1,4 @@
-## <summary>Distributed infrastructure monitoring.</summary>
+## <summary>Distributed infrastructure monitoring</summary>
 
 ########################################
 ## <summary>
@@ -15,13 +15,12 @@ interface(`zabbix_domtrans',`
 		type zabbix_t, zabbix_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, zabbix_exec_t, zabbix_t)
 ')
 
 ########################################
 ## <summary>
-##	Connect to zabbit on the TCP network.
+## 	Allow connectivity to the zabbix server
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -34,7 +33,7 @@ interface(`zabbix_tcp_connect',`
 		type zabbix_t;
 	')
 
-	corenet_sendrecv_zabbix_client_packets($1)
+	corenet_sendrecv_zabbix_agent_client_packets($1)
 	corenet_tcp_connect_zabbix_port($1)
 	corenet_tcp_recvfrom_labeled($1, zabbix_t)
 	corenet_tcp_sendrecv_zabbix_port($1)
@@ -42,7 +41,7 @@ interface(`zabbix_tcp_connect',`
 
 ########################################
 ## <summary>
-##	Read zabbix log files.
+##	Allow the specified domain to read zabbix's log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -62,13 +61,34 @@ interface(`zabbix_read_log',`
 
 ########################################
 ## <summary>
-##	Append zabbix log files.
+##	Allow the specified domain to read zabbix's tmp files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
+## <rolecap/>
+#
+interface(`zabbix_read_tmp',`
+	gen_require(`
+		type zabbix_tmp_t;
+	')
+
+	files_search_tmp($1)
+	read_files_pattern($1, zabbix_tmp_t, zabbix_tmp_t)
+')
+
+########################################
+## <summary>
+##	Allow the specified domain to append
+##	zabbix log files.
+## </summary>
+## <param name="domain">
+## 	<summary>
+##	Domain allowed access.
+## 	</summary>
+## </param>
 #
 interface(`zabbix_append_log',`
 	gen_require(`
@@ -81,7 +101,7 @@ interface(`zabbix_append_log',`
 
 ########################################
 ## <summary>
-##	Read zabbix pid files.
+##	Read zabbix PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -100,7 +120,7 @@ interface(`zabbix_read_pid_files',`
 
 ########################################
 ## <summary>
-##	Connect to zabbix agent on the TCP network.
+## 	Allow connectivity to a zabbix agent
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -110,7 +130,7 @@ interface(`zabbix_read_pid_files',`
 #
 interface(`zabbix_agent_tcp_connect',`
 	gen_require(`
-		type zabbix_agent_t;
+		type zabbix_t, zabbix_agent_t;
 	')
 
 	corenet_sendrecv_zabbix_agent_client_packets($1)
@@ -121,8 +141,8 @@ interface(`zabbix_agent_tcp_connect',`
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an zabbix environment.
+##	All of the rules required to administrate
+##	an zabbix environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -131,7 +151,7 @@ interface(`zabbix_agent_tcp_connect',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the zabbix domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
@@ -139,16 +159,18 @@ interface(`zabbix_agent_tcp_connect',`
 interface(`zabbix_admin',`
 	gen_require(`
 		type zabbix_t, zabbix_log_t, zabbix_var_run_t;
-		type zabbix_initrc_exec_t, zabbit_agent_initrc_exec_t, zabbix_tmp_t;
-		type zabbit_tmpfs_t;
+		type zabbix_initrc_exec_t;
 	')
 
-	allow $1 { zabbix_t zabbix_agent_t }:process { ptrace signal_perms };
-	ps_process_pattern($1, { zabbix_t zabbix_agent_t })
+	allow $1 zabbix_t:process signal_perms;
+	ps_process_pattern($1, zabbix_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 zabbix_t:process ptrace;
+	')
 
-	init_labeled_script_domtrans($1, { zabbix_agent_initrc_exec_t zabbix_initrc_exec_t })
+	init_labeled_script_domtrans($1, zabbix_initrc_exec_t)
 	domain_system_change_exemption($1)
-	role_transition $2 { zabbix_agent_initrc_exec_t zabbix_initrc_exec_t } system_r;
+	role_transition $2 zabbix_initrc_exec_t system_r;
 	allow $2 system_r;
 
 	logging_list_logs($1)
@@ -156,10 +178,4 @@ interface(`zabbix_admin',`
 
 	files_list_pids($1)
 	admin_pattern($1, zabbix_var_run_t)
-
-	files_list_tmp($1)
-	admin_pattern($1, zabbix_tmp_t)
-
-	fs_list_tmpfs($1)
-	admin_pattern($1, zabbix_tmpfs_t)
 ')
Index: serefpolicy-contrib-20140730/zabbix.te
===================================================================
--- serefpolicy-contrib-20140730.orig/zabbix.te
+++ serefpolicy-contrib-20140730/zabbix.te
@@ -1,4 +1,4 @@
-policy_module(zabbix, 1.7.0)
+policy_module(zabbix, 1.6.0)
 
 ########################################
 #
@@ -6,27 +6,32 @@ policy_module(zabbix, 1.7.0)
 #
 
 ## <desc>
-##	<p>
+##  <p>
 ##	Determine whether zabbix can
 ##	connect to all TCP ports
 ##	</p>
 ## </desc>
 gen_tunable(zabbix_can_network, false)
 
-type zabbix_t;
+attribute zabbix_domain;
+
+type zabbix_t, zabbix_domain;
 type zabbix_exec_t;
 init_daemon_domain(zabbix_t, zabbix_exec_t)
 
 type zabbix_initrc_exec_t;
 init_script_file(zabbix_initrc_exec_t)
 
-type zabbix_agent_t;
+type zabbix_agent_t, zabbix_domain;
 type zabbix_agent_exec_t;
 init_daemon_domain(zabbix_agent_t, zabbix_agent_exec_t)
 
 type zabbix_agent_initrc_exec_t;
 init_script_file(zabbix_agent_initrc_exec_t)
 
+type zabbixd_var_lib_t;
+files_type(zabbixd_var_lib_t)
+
 type zabbix_log_t;
 logging_log_file(zabbix_log_t)
 
@@ -36,27 +41,53 @@ files_tmp_file(zabbix_tmp_t)
 type zabbix_tmpfs_t;
 files_tmpfs_file(zabbix_tmpfs_t)
 
+type zabbix_var_lib_t;
+files_type(zabbix_var_lib_t)
+
 type zabbix_var_run_t;
 files_pid_file(zabbix_var_run_t)
 
 ########################################
 #
+# zabbix domain local policy
+#
+
+allow zabbix_domain self:capability { setuid setgid };
+allow zabbix_domain self:process { setpgid setsched getsched signal_perms };
+allow zabbix_domain self:fifo_file rw_fifo_file_perms;
+allow zabbix_domain self:sem create_sem_perms;
+allow zabbix_domain self:shm create_shm_perms;
+allow zabbix_domain self:tcp_socket { accept listen };
+allow zabbix_domain self:unix_stream_socket create_stream_socket_perms;
+
+kernel_read_all_sysctls(zabbix_domain)
+
+corenet_tcp_sendrecv_generic_if(zabbix_domain)
+corenet_tcp_sendrecv_generic_node(zabbix_domain)
+corenet_tcp_bind_generic_node(zabbix_domain)
+
+corecmd_exec_shell(zabbix_domain)
+corecmd_exec_bin(zabbix_domain)
+
+dev_read_sysfs(zabbix_domain)
+dev_read_urand(zabbix_domain)
+
+########################################
+#
 # Local policy
 #
 
-allow zabbix_t self:capability { dac_read_search dac_override setuid setgid };
-allow zabbix_t self:process { setsched signal_perms };
-allow zabbix_t self:fifo_file rw_fifo_file_perms;
-allow zabbix_t self:unix_stream_socket create_stream_socket_perms;
-allow zabbix_t self:sem create_sem_perms;
-allow zabbix_t self:shm create_shm_perms;
-allow zabbix_t self:tcp_socket create_stream_socket_perms;
-
-allow zabbix_t zabbix_log_t:dir setattr_dir_perms;
-append_files_pattern(zabbix_t, zabbix_log_t, zabbix_log_t)
-create_files_pattern(zabbix_t, zabbix_log_t, zabbix_log_t)
-setattr_files_pattern(zabbix_t, zabbix_log_t, zabbix_log_t)
-logging_log_filetrans(zabbix_t, zabbix_log_t, file)
+allow zabbix_t self:capability { dac_read_search dac_override };
+
+manage_dirs_pattern(zabbix_t, zabbix_var_lib_t, zabbix_var_lib_t)
+manage_files_pattern(zabbix_t, zabbix_var_lib_t, zabbix_var_lib_t)
+manage_lnk_files_pattern(zabbix_t, zabbix_var_lib_t, zabbix_var_lib_t)
+files_var_lib_filetrans(zabbix_t, zabbix_var_lib_t, dir, "zabbixsrv")
+
+manage_dirs_pattern(zabbix_t, zabbix_log_t, zabbix_log_t)
+manage_files_pattern(zabbix_t, zabbix_log_t, zabbix_log_t)
+manage_lnk_files_pattern(zabbix_t, zabbix_log_t, zabbix_log_t)
+logging_log_filetrans(zabbix_t, zabbix_log_t, { dir file })
 
 manage_dirs_pattern(zabbix_t, zabbix_tmp_t, zabbix_tmp_t)
 manage_files_pattern(zabbix_t, zabbix_tmp_t, zabbix_tmp_t)
@@ -70,13 +101,9 @@ manage_files_pattern(zabbix_t, zabbix_va
 files_pid_filetrans(zabbix_t, zabbix_var_run_t, { dir file })
 
 kernel_read_system_state(zabbix_t)
-kernel_read_kernel_sysctls(zabbix_t)
 
 corenet_all_recvfrom_unlabeled(zabbix_t)
 corenet_all_recvfrom_netlabel(zabbix_t)
-corenet_tcp_sendrecv_generic_if(zabbix_t)
-corenet_tcp_sendrecv_generic_node(zabbix_t)
-corenet_tcp_bind_generic_node(zabbix_t)
 
 corenet_sendrecv_ftp_client_packets(zabbix_t)
 corenet_tcp_connect_ftp_port(zabbix_t)
@@ -85,24 +112,18 @@ corenet_tcp_sendrecv_ftp_port(zabbix_t)
 corenet_sendrecv_http_client_packets(zabbix_t)
 corenet_tcp_connect_http_port(zabbix_t)
 corenet_tcp_sendrecv_http_port(zabbix_t)
+corenet_tcp_connect_smtp_port(zabbix_t)
 
 corenet_sendrecv_zabbix_server_packets(zabbix_t)
 corenet_tcp_bind_zabbix_port(zabbix_t)
 corenet_tcp_sendrecv_zabbix_port(zabbix_t)
 
-corecmd_exec_bin(zabbix_t)
-corecmd_exec_shell(zabbix_t)
-
-dev_read_urand(zabbix_t)
-
-files_read_usr_files(zabbix_t)
-
 auth_use_nsswitch(zabbix_t)
 
-miscfiles_read_localization(zabbix_t)
-
 zabbix_agent_tcp_connect(zabbix_t)
 
+logging_send_syslog_msg(zabbix_t)
+
 tunable_policy(`zabbix_can_network',`
 	corenet_sendrecv_all_client_packets(zabbix_t)
 	corenet_tcp_connect_all_ports(zabbix_t)
@@ -110,12 +131,11 @@ tunable_policy(`zabbix_can_network',`
 ')
 
 optional_policy(`
-	netutils_domtrans_ping(zabbix_t)
+	mysql_stream_connect(zabbix_t)
 ')
 
 optional_policy(`
-	mysql_stream_connect(zabbix_t)
-	mysql_tcp_connect(zabbix_t)
+	netutils_domtrans_ping(zabbix_t)
 ')
 
 optional_policy(`
@@ -125,6 +145,7 @@ optional_policy(`
 
 optional_policy(`
 	snmp_read_snmp_var_lib_files(zabbix_t)
+	snmp_read_snmp_var_lib_dirs(zabbix_t)
 ')
 
 ########################################
@@ -132,18 +153,7 @@ optional_policy(`
 # Agent local policy
 #
 
-allow zabbix_agent_t self:capability { setuid setgid };
-allow zabbix_agent_t self:process { setsched getsched signal };
-allow zabbix_agent_t self:fifo_file rw_fifo_file_perms;
-allow zabbix_agent_t self:sem create_sem_perms;
-allow zabbix_agent_t self:shm create_shm_perms;
-allow zabbix_agent_t self:tcp_socket { accept listen };
-allow zabbix_agent_t self:unix_stream_socket create_stream_socket_perms;
-
-append_files_pattern(zabbix_agent_t, zabbix_log_t, zabbix_log_t)
-create_files_pattern(zabbix_agent_t, zabbix_log_t, zabbix_log_t)
-setattr_files_pattern(zabbix_agent_t, zabbix_log_t, zabbix_log_t)
-filetrans_pattern(zabbix_agent_t, zabbix_log_t, zabbix_log_t, file)
+manage_files_pattern(zabbix_agent_t, zabbix_log_t, zabbix_log_t)
 
 rw_files_pattern(zabbix_agent_t, zabbix_tmpfs_t, zabbix_tmpfs_t)
 fs_tmpfs_filetrans(zabbix_agent_t, zabbix_tmpfs_t, file)
@@ -151,16 +161,12 @@ fs_tmpfs_filetrans(zabbix_agent_t, zabbi
 manage_files_pattern(zabbix_agent_t, zabbix_var_run_t, zabbix_var_run_t)
 files_pid_filetrans(zabbix_agent_t, zabbix_var_run_t, file)
 
-kernel_read_all_sysctls(zabbix_agent_t)
 kernel_read_system_state(zabbix_agent_t)
 
-corecmd_read_all_executables(zabbix_agent_t)
-
 corenet_all_recvfrom_unlabeled(zabbix_agent_t)
 corenet_all_recvfrom_netlabel(zabbix_agent_t)
-corenet_tcp_sendrecv_generic_if(zabbix_agent_t)
-corenet_tcp_sendrecv_generic_node(zabbix_agent_t)
-corenet_tcp_bind_generic_node(zabbix_agent_t)
+
+corecmd_read_all_executables(zabbix_agent_t)
 
 corenet_sendrecv_zabbix_agent_server_packets(zabbix_agent_t)
 corenet_tcp_bind_zabbix_agent_port(zabbix_agent_t)
@@ -182,16 +188,23 @@ domain_read_all_domains_state(zabbix_age
 files_getattr_all_dirs(zabbix_agent_t)
 files_getattr_all_files(zabbix_agent_t)
 files_read_all_symlinks(zabbix_agent_t)
-files_read_etc_files(zabbix_agent_t)
 
 fs_getattr_all_fs(zabbix_agent_t)
 
+auth_use_nsswitch(zabbix_agent_t)
+
 init_read_utmp(zabbix_agent_t)
 
 logging_search_logs(zabbix_agent_t)
 
-miscfiles_read_localization(zabbix_agent_t)
-
 sysnet_dns_name_resolve(zabbix_agent_t)
 
 zabbix_tcp_connect(zabbix_agent_t)
+
+optional_policy(`
+	dmidecode_domtrans(zabbix_agent_t)
+')
+
+optional_policy(`
+	hostname_exec(zabbix_agent_t)
+')
Index: serefpolicy-contrib-20140730/zarafa.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/zarafa.fc
+++ serefpolicy-contrib-20140730/zarafa.fc
@@ -1,33 +1,34 @@
-/etc/zarafa(/.*)?	gen_context(system_u:object_r:zarafa_etc_t,s0)
+/etc/zarafa(/.*)?		gen_context(system_u:object_r:zarafa_etc_t,s0)
 
-/etc/rc\.d/init\.d/zarafa.*	--	gen_context(system_u:object_r:zarafa_initrc_exec_t,s0)
+/usr/bin/zarafa-dagent		--	gen_context(system_u:object_r:zarafa_deliver_exec_t,s0)
+/usr/bin/zarafa-gateway		--	gen_context(system_u:object_r:zarafa_gateway_exec_t,s0)
+/usr/bin/zarafa-ical		--	gen_context(system_u:object_r:zarafa_ical_exec_t,s0)
+/usr/bin/zarafa-indexer		--	gen_context(system_u:object_r:zarafa_indexer_exec_t,s0)
+/usr/bin/zarafa-monitor		--	gen_context(system_u:object_r:zarafa_monitor_exec_t,s0)
+/usr/bin/zarafa-search      --  gen_context(system_u:object_r:zarafa_indexer_exec_t,s0)
+/usr/bin/zarafa-server		--	gen_context(system_u:object_r:zarafa_server_exec_t,s0)
+/usr/bin/zarafa-spooler		--	gen_context(system_u:object_r:zarafa_spooler_exec_t,s0)
 
-/usr/bin/zarafa-dagent	--	gen_context(system_u:object_r:zarafa_deliver_exec_t,s0)
-/usr/bin/zarafa-gateway	--	gen_context(system_u:object_r:zarafa_gateway_exec_t,s0)
-/usr/bin/zarafa-ical	--	gen_context(system_u:object_r:zarafa_ical_exec_t,s0)
-/usr/bin/zarafa-indexer	--	gen_context(system_u:object_r:zarafa_indexer_exec_t,s0)
-/usr/bin/zarafa-monitor	--	gen_context(system_u:object_r:zarafa_monitor_exec_t,s0)
-/usr/bin/zarafa-server	--	gen_context(system_u:object_r:zarafa_server_exec_t,s0)
-/usr/bin/zarafa-spooler	--	gen_context(system_u:object_r:zarafa_spooler_exec_t,s0)
-
-/var/lib/zarafa(/.*)?	gen_context(system_u:object_r:zarafa_var_lib_t,s0)
+/var/lib/zarafa(/.*)?			gen_context(system_u:object_r:zarafa_var_lib_t,s0)
 /var/lib/zarafa-webaccess(/.*)?	gen_context(system_u:object_r:zarafa_var_lib_t,s0)
-/var/lib/zarafa-webapp(/.*)?	gen_context(system_u:object_r:zarafa_var_lib_t,s0)
+/var/lib/zarafa-webapp(/.*)? gen_context(system_u:object_r:zarafa_var_lib_t,s0)
 
-/var/log/zarafa/dagent\.log.*	--	gen_context(system_u:object_r:zarafa_deliver_log_t,s0)
+/var/log/zarafa/dagent\.log.*	    --  gen_context(system_u:object_r:zarafa_deliver_log_t,s0)
 /var/log/zarafa/gateway\.log.*	--	gen_context(system_u:object_r:zarafa_gateway_log_t,s0)
 /var/log/zarafa/ical\.log.*	--	gen_context(system_u:object_r:zarafa_ical_log_t,s0)
 /var/log/zarafa/indexer\.log.*	--	gen_context(system_u:object_r:zarafa_indexer_log_t,s0)
 /var/log/zarafa/monitor\.log.*	--	gen_context(system_u:object_r:zarafa_monitor_log_t,s0)
 /var/log/zarafa/server\.log.*	--	gen_context(system_u:object_r:zarafa_server_log_t,s0)
+/var/log/zarafa/search\.log.*   --  gen_context(system_u:object_r:zarafa_indexer_log_t,s0) 
 /var/log/zarafa/spooler\.log.*	--	gen_context(system_u:object_r:zarafa_spooler_log_t,s0)
 
-/var/run/zarafa	-s	gen_context(system_u:object_r:zarafa_server_var_run_t,s0)
-/var/run/zarafa-dagent\.pid	--	gen_context(system_u:object_r:zarafa_deliver_var_run_t,s0)
+/var/run/zarafa			-s	gen_context(system_u:object_r:zarafa_server_var_run_t,s0)
+/var/run/zarafa-dagent\.pid     --  gen_context(system_u:object_r:zarafa_deliver_var_run_t,s0)
 /var/run/zarafa-gateway\.pid	--	gen_context(system_u:object_r:zarafa_gateway_var_run_t,s0)
 /var/run/zarafa-ical\.pid	--	gen_context(system_u:object_r:zarafa_ical_var_run_t,s0)
-/var/run/zarafa-indexer	-s	gen_context(system_u:object_r:zarafa_indexer_var_run_t,s0)
+/var/run/zarafa-indexer		-s	gen_context(system_u:object_r:zarafa_indexer_var_run_t,s0)
 /var/run/zarafa-indexer\.pid	--	gen_context(system_u:object_r:zarafa_indexer_var_run_t,s0)
 /var/run/zarafa-monitor\.pid	--	gen_context(system_u:object_r:zarafa_monitor_var_run_t,s0)
 /var/run/zarafa-server\.pid	--	gen_context(system_u:object_r:zarafa_server_var_run_t,s0)
+/var/run/zarafa-search\.pid --  gen_context(system_u:object_r:zarafa_indexer_var_run_t,s0)
 /var/run/zarafa-spooler\.pid	--	gen_context(system_u:object_r:zarafa_spooler_var_run_t,s0)
Index: serefpolicy-contrib-20140730/zarafa.if
===================================================================
--- serefpolicy-contrib-20140730.orig/zarafa.if
+++ serefpolicy-contrib-20140730/zarafa.if
@@ -1,55 +1,59 @@
 ## <summary>Zarafa collaboration platform.</summary>
 
-#######################################
+######################################
 ## <summary>
-##	The template to define a zarafa domain.
+##	Creates types and rules for a basic
+##	zararfa init daemon domain.
 ## </summary>
-## <param name="domain_prefix">
+## <param name="prefix">
 ##	<summary>
-##	Domain prefix to be used.
+##	Prefix for the domain.
 ##	</summary>
 ## </param>
 #
 template(`zarafa_domain_template',`
 	gen_require(`
-		attribute zarafa_domain, zarafa_logfile, zarafa_pidfile;
+		attribute zarafa_domain;
 	')
 
-	########################################
+	##############################
 	#
-	# Declarations
+	# $1_t declarations
 	#
 
 	type zarafa_$1_t, zarafa_domain;
 	type zarafa_$1_exec_t;
 	init_daemon_domain(zarafa_$1_t, zarafa_$1_exec_t)
 
-	type zarafa_$1_log_t, zarafa_logfile;
+	type zarafa_$1_log_t;
 	logging_log_file(zarafa_$1_log_t)
 
-	type zarafa_$1_var_run_t, zarafa_pidfile;
+	type zarafa_$1_var_run_t;
 	files_pid_file(zarafa_$1_var_run_t)
 
-	########################################
+	##############################
 	#
-	# Policy
+	# $1_t local policy
 	#
 
 	manage_files_pattern(zarafa_$1_t, zarafa_$1_var_run_t, zarafa_$1_var_run_t)
 	manage_sock_files_pattern(zarafa_$1_t, zarafa_$1_var_run_t, zarafa_$1_var_run_t)
 	files_pid_filetrans(zarafa_$1_t, zarafa_$1_var_run_t, { file sock_file })
 
-	append_files_pattern(zarafa_$1_t, zarafa_$1_log_t, zarafa_$1_log_t)
-	create_files_pattern(zarafa_$1_t, zarafa_$1_log_t, zarafa_$1_log_t)
-	setattr_files_pattern(zarafa_$1_t, zarafa_$1_log_t, zarafa_$1_log_t)
-	logging_log_filetrans(zarafa_$1_t, zarafa_$1_log_t, file)
+	manage_files_pattern(zarafa_$1_t, zarafa_$1_log_t, zarafa_$1_log_t)
+	logging_log_filetrans(zarafa_$1_t, zarafa_$1_log_t, { file })
+
+	kernel_read_system_state(zarafa_$1_t)
 
 	auth_use_nsswitch(zarafa_$1_t)
+
+	logging_send_syslog_msg(zarafa_$1_t)
 ')
 
 ######################################
 ## <summary>
-##	search zarafa configuration directories.
+##	Allow the specified domain to search
+##	zarafa configuration dirs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -68,7 +72,7 @@ interface(`zarafa_search_config',`
 
 ########################################
 ## <summary>
-##	Execute a domain transition to run zarafa deliver.
+##	Execute a domain transition to run zarafa_deliver.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -81,13 +85,12 @@ interface(`zarafa_domtrans_deliver',`
 		type zarafa_deliver_t, zarafa_deliver_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, zarafa_deliver_exec_t, zarafa_deliver_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute a domain transition to run zarafa server.
+##	Execute a domain transition to run zarafa_server.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -100,14 +103,12 @@ interface(`zarafa_domtrans_server',`
 		type zarafa_server_t, zarafa_server_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, zarafa_server_exec_t, zarafa_server_t)
 ')
 
 #######################################
 ## <summary>
-##	Connect to zarafa server with a unix
-##	domain stream socket.
+##	Connect to zarafa-server unix domain stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -124,51 +125,24 @@ interface(`zarafa_stream_connect_server'
 	stream_connect_pattern($1, zarafa_server_var_run_t, zarafa_server_var_run_t, zarafa_server_t)
 ')
 
-########################################
+####################################
 ## <summary>
-##	All of the rules required to
-##	administrate an zarafa environment.
+##  Allow the specified domain to manage
+##  zarafa /var/lib files.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
+##  <summary>
+##  Domain allowed access.
+##  </summary>
 ## </param>
-## <rolecap/>
 #
-interface(`zarafa_admin',`
-	gen_require(`
-		attribute zarafa_domain, zarafa_logfile, zarafa_pidfile;
-		type zarafa_etc_t, zarafa_initrc_exec_t, zarafa_deliver_tmp_t;
-		type zarafa_indexer_tmp_t, zarafa_server_tmp_t, zarafa_share_t;
-		type zarafa_var_lib_t;
-	')
-
-	allow $1 zarafa_domain:process { ptrace signal_perms };
-	ps_process_pattern($1, zarafa_domain)
-
-	init_labeled_script_domtrans($1, zarafa_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 zarafa_initrc_exec_t system_r;
-	allow $2 system_r;
-
-	files_search_etc($1)
-	admin_pattern($1, zarafa_etc_t)
-
-	files_search_tmp($1)
-	admin_pattern($1, { zarafa_deliver_tmp_t zarafa_indexer_tmp_t zarafa_server_tmp_t })
-
-	logging_search_log($1)
-	admin_pattern($1, zarafa_logfile)
-
-	files_search_var_lib($1)
-	admin_pattern($1, { zarafa_var_lib_t zarafa_share_t })
-
-	files_search_pids($1)
-	admin_pattern($1, zarafa_pidfile)
+interface(`zarafa_manage_lib_files',`
+    gen_require(`
+        type zarafa_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+    manage_files_pattern($1, zarafa_var_lib_t, zarafa_var_lib_t)
+    manage_lnk_files_pattern($1, zarafa_var_lib_t, zarafa_var_lib_t)
+    manage_dirs_pattern($1, zarafa_var_lib_t, zarafa_var_lib_t)
 ')
Index: serefpolicy-contrib-20140730/zarafa.te
===================================================================
--- serefpolicy-contrib-20140730.orig/zarafa.te
+++ serefpolicy-contrib-20140730/zarafa.te
@@ -5,9 +5,14 @@ policy_module(zarafa, 1.2.0)
 # Declarations
 #
 
+## <desc>
+##  <p>
+## Allow zarafa domains to setrlimit/sys_resource.
+##  </p>
+## </desc>
+gen_tunable(zarafa_setrlimit, false)
+
 attribute zarafa_domain;
-attribute zarafa_logfile;
-attribute zarafa_pidfile;
 
 zarafa_domain_template(deliver)
 
@@ -17,9 +22,6 @@ files_tmp_file(zarafa_deliver_tmp_t)
 type zarafa_etc_t;
 files_config_file(zarafa_etc_t)
 
-type zarafa_initrc_exec_t;
-init_script_file(zarafa_initrc_exec_t)
-
 zarafa_domain_template(gateway)
 zarafa_domain_template(ical)
 zarafa_domain_template(indexer)
@@ -43,61 +45,74 @@ files_tmp_file(zarafa_var_lib_t)
 
 ########################################
 #
-# Deliver local policy
+# zarafa-deliver local policy
 #
 
 manage_dirs_pattern(zarafa_deliver_t, zarafa_deliver_tmp_t, zarafa_deliver_tmp_t)
 manage_files_pattern(zarafa_deliver_t, zarafa_deliver_tmp_t, zarafa_deliver_tmp_t)
 files_tmp_filetrans(zarafa_deliver_t, zarafa_deliver_tmp_t, { file dir })
 
+auth_use_nsswitch(zarafa_deliver_t)
+
+corenet_tcp_bind_lmtp_port(zarafa_deliver_t)
+
 ########################################
 #
-# Gateway local policy
+# zarafa_gateway local policy
 #
-
-corenet_all_recvfrom_unlabeled(zarafa_gateway_t)
 corenet_all_recvfrom_netlabel(zarafa_gateway_t)
 corenet_tcp_sendrecv_generic_if(zarafa_gateway_t)
 corenet_tcp_sendrecv_generic_node(zarafa_gateway_t)
+corenet_tcp_sendrecv_all_ports(zarafa_gateway_t)
 corenet_tcp_bind_generic_node(zarafa_gateway_t)
-
-corenet_sendrecv_pop_server_packets(zarafa_gateway_t)
 corenet_tcp_bind_pop_port(zarafa_gateway_t)
-corenet_tcp_sendrecv_pop_port(zarafa_gateway_t)
+
+######################################
+#
+# zarafa-indexer local policy
+#
+
+
+manage_dirs_pattern(zarafa_indexer_t, zarafa_indexer_tmp_t, zarafa_indexer_tmp_t)
+manage_files_pattern(zarafa_indexer_t, zarafa_indexer_tmp_t, zarafa_indexer_tmp_t)
+files_tmp_filetrans(zarafa_indexer_t, zarafa_indexer_tmp_t, { file dir })
+
+manage_dirs_pattern(zarafa_indexer_t, zarafa_var_lib_t, zarafa_var_lib_t)
+manage_files_pattern(zarafa_indexer_t, zarafa_var_lib_t, zarafa_var_lib_t)
+manage_lnk_files_pattern(zarafa_indexer_t, zarafa_var_lib_t, zarafa_var_lib_t)
+
+auth_use_nsswitch(zarafa_indexer_t)
 
 #######################################
 #
-# Ical local policy
+# zarafa-ical local policy
 #
 
-corenet_all_recvfrom_unlabeled(zarafa_ical_t)
+
 corenet_all_recvfrom_netlabel(zarafa_ical_t)
 corenet_tcp_sendrecv_generic_if(zarafa_ical_t)
 corenet_tcp_sendrecv_generic_node(zarafa_ical_t)
+corenet_tcp_sendrecv_all_ports(zarafa_ical_t)
 corenet_tcp_bind_generic_node(zarafa_ical_t)
-
-corenet_sendrecv_http_cache_client_packets(zarafa_ical_t)
 corenet_tcp_bind_http_cache_port(zarafa_ical_t)
-corenet_tcp_sendrecv_http_cache_port(zarafa_ical_t)
+
+auth_use_nsswitch(zarafa_ical_t)
 
 ######################################
 #
-# Indexer local policy
+# zarafa-monitor local policy
 #
 
-manage_dirs_pattern(zarafa_indexer_t, zarafa_indexer_tmp_t, zarafa_indexer_tmp_t)
-manage_files_pattern(zarafa_indexer_t, zarafa_indexer_tmp_t, zarafa_indexer_tmp_t)
-files_tmp_filetrans(zarafa_indexer_t, zarafa_indexer_tmp_t, { file dir })
 
-manage_dirs_pattern(zarafa_indexer_t, zarafa_var_lib_t, zarafa_var_lib_t)
-manage_files_pattern(zarafa_indexer_t, zarafa_var_lib_t, zarafa_var_lib_t)
-manage_lnk_files_pattern(zarafa_indexer_t, zarafa_var_lib_t, zarafa_var_lib_t)
+auth_use_nsswitch(zarafa_monitor_t)
 
 ########################################
 #
-# Server local policy
+# zarafa_server local policy
 #
 
+allow zarafa_server_t self:capability net_bind_service;
+
 manage_dirs_pattern(zarafa_server_t, zarafa_server_tmp_t, zarafa_server_tmp_t)
 manage_files_pattern(zarafa_server_t, zarafa_server_tmp_t, zarafa_server_tmp_t)
 files_tmp_filetrans(zarafa_server_t, zarafa_server_tmp_t, { file dir })
@@ -109,70 +124,85 @@ files_var_lib_filetrans(zarafa_server_t,
 
 stream_connect_pattern(zarafa_server_t, zarafa_indexer_var_run_t, zarafa_indexer_var_run_t, zarafa_indexer_t)
 
-corenet_all_recvfrom_unlabeled(zarafa_server_t)
 corenet_all_recvfrom_netlabel(zarafa_server_t)
 corenet_tcp_sendrecv_generic_if(zarafa_server_t)
 corenet_tcp_sendrecv_generic_node(zarafa_server_t)
+corenet_tcp_sendrecv_all_ports(zarafa_server_t)
 corenet_tcp_bind_generic_node(zarafa_server_t)
-
-corenet_sendrecv_zarafa_server_packets(zarafa_server_t)
 corenet_tcp_bind_zarafa_port(zarafa_server_t)
-corenet_tcp_sendrecv_zarafa_port(zarafa_server_t)
 
-files_read_usr_files(zarafa_server_t)
 
+auth_use_nsswitch(zarafa_server_t)
+
+logging_send_syslog_msg(zarafa_server_t)
 logging_send_audit_msgs(zarafa_server_t)
 
+sysnet_dns_name_resolve(zarafa_server_t)
+
 optional_policy(`
 	kerberos_use(zarafa_server_t)
 ')
 
 optional_policy(`
 	mysql_stream_connect(zarafa_server_t)
-	mysql_tcp_connect(zarafa_server_t)
-')
-
-optional_policy(`
-	postgresql_stream_connect(zarafa_server_t)
-	postgresql_tcp_connect(zarafa_server_t)
 ')
 
 ########################################
 #
-# Spooler local policy
+# zarafa_spooler local policy
 #
 
 can_exec(zarafa_spooler_t, zarafa_spooler_exec_t)
 
-corenet_all_recvfrom_unlabeled(zarafa_spooler_t)
 corenet_all_recvfrom_netlabel(zarafa_spooler_t)
 corenet_tcp_sendrecv_generic_if(zarafa_spooler_t)
 corenet_tcp_sendrecv_generic_node(zarafa_spooler_t)
-
-corenet_sendrecv_smtp_client_packets(zarafa_spooler_t)
+corenet_tcp_sendrecv_all_ports(zarafa_spooler_t)
 corenet_tcp_connect_smtp_port(zarafa_spooler_t)
-corenet_tcp_sendrecv_smtp_port(zarafa_spooler_t)
+
+auth_use_nsswitch(zarafa_spooler_t)
 
 ########################################
 #
-# Zarafa domain local policy
+# zarafa_gateway local policy
 #
+corenet_tcp_bind_pop_port(zarafa_gateway_t)
 
+#######################################
+#
+# zarafa-ical local policy
+#
+
+corenet_tcp_bind_http_cache_port(zarafa_ical_t)
+
+######################################
+#
+# zarafa-monitor local policy
+#
+
+
+########################################
+#
+# zarafa domains local policy
+#
+
+# bad permission on /etc/zarafa
 allow zarafa_domain self:capability { kill dac_override chown setgid setuid };
-allow zarafa_domain self:process { setrlimit signal };
+allow zarafa_domain self:process { signal_perms };
 allow zarafa_domain self:fifo_file rw_fifo_file_perms;
-allow zarafa_domain self:tcp_socket { accept listen };
-allow zarafa_domain self:unix_stream_socket { accept listen };
+allow zarafa_domain self:tcp_socket create_stream_socket_perms;
+allow zarafa_domain self:unix_stream_socket create_stream_socket_perms;
+
+tunable_policy(`zarafa_setrlimit',`
+    allow zarafa_domain self:capability sys_resource;
+    allow zarafa_domain self:process setrlimit;
+')
 
 stream_connect_pattern(zarafa_domain, zarafa_server_var_run_t, zarafa_server_var_run_t, zarafa_server_t)
 
 read_files_pattern(zarafa_domain, zarafa_etc_t, zarafa_etc_t)
 
-kernel_read_system_state(zarafa_domain)
-
 dev_read_rand(zarafa_domain)
 dev_read_urand(zarafa_domain)
 
-logging_send_syslog_msg(zarafa_domain)
-
-miscfiles_read_localization(zarafa_domain)
+dev_read_sysfs(zarafa_domain)
